Frequently Asked Questions

What is Microsoft Windows 8.1?

Windows 8.1 is the latest version of Microsoft’s Windows operating system. It is intended for use with compatible personal computers and other devices, including home and business desktop PCs, laptop PCs, tablet PCs and media centre PCs.

If I am using Windows 8.1, do I still need Kaspersky security products?

Yes… you definitely still need Kaspersky’s award-winning protection – especially if you use the Internet. Although Windows 8.1 comes with Windows Defender, it only provides basic security – and it really doesn’t have the special security features that a regular Internet user needs. Windows Defender only offers minimal protection against malware, compared to the multi-layer security that Kaspersky’s security products deliver. However, Kaspersky Internet Security – Multi-Device (PC Protection), Kaspersky Internet Security 2014, Kaspersky Anti-Virus 2014 and Kaspersky PURE 3.0 goes even further – with advanced features that protect against sophisticated Internet attacks – so you get vital added protection for your PC, your money, your identity and your privacy when you’re online. With over 15 years of Internet security experience – and a vast number of independent awards – Kaspersky provides industry-leading security that’s recognized by independent testing labs and independent reviews.

If I buy or download the latest version of Kaspersky Internet Security 2014, will it be compatible with Windows 8.1?

Your installation would need a patch. When installing the latest version of our products on Windows 8.1, the installer will download the latest version of the product (if needed) and start the installation process.

If I have an existing version of Kaspersky Internet Security 2013 or Kaspersky Anti-Virus 2013, will I need to purchase new software?

If your Kaspersky Anti-Virus 2013 or Kaspersky Internet Security 2013 installation have the latest updates installed, it would work properly with Windows 8.1. We still suggest that you should upgrade to the newer version to ensure your protection is always up-to-date.